# Generated by Django 2.2.6 on 2019-10-10 19:29

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('common', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Note',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, unique=True, verbose_name='UUID')),
                ('name', models.CharField(max_length=300)),
                ('content', models.TextField(blank=True, null=True)),
                ('created', models.DateTimeField()),
                ('filetype', models.CharField(choices=[('MARKDOWN', 'Markdown'), ('ASCIIDOC', 'AsciiDoc'), ('STUDENTML', 'StudentML')], default=('MARKDOWN', 'Markdown'), max_length=50)),
                ('last_modified', models.DateTimeField(blank=True, null=True)),
                ('subject', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='notes', to='common.Subject')),
            ],
        ),
        migrations.CreateModel(
            name='Learndata',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, unique=True, verbose_name='UUID')),
                ('data', models.TextField(blank=True, null=True, verbose_name='YAML Content')),
                ('name', models.CharField(max_length=300)),
                ('learnt', models.FloatField(default=0, validators=[django.core.validators.MinValueValidator(0, "This can't be a negative value"), django.core.validators.MaxValueValidator(1, 'This should be a value between 0 and 1')], verbose_name='Learning progress')),
                ('test_tries', models.IntegerField(default=0, validators=[django.core.validators.MinValueValidator(0)], verbose_name='Tries in testing mode')),
                ('train_tries', models.IntegerField(default=0, validators=[django.core.validators.MinValueValidator(0)], verbose_name='Tries in training mode')),
                ('last_opened', models.DateTimeField(auto_now=True)),
                ('time_spent', models.DurationField(verbose_name='Time spent on learning')),
                ('note', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='learndatas', to='learn.Note')),
                ('subject', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='learndatas', to='common.Subject')),
            ],
        ),
    ]
